U++ - Bug #575
Debug.cpp errors on amd64
11/17/2013 10:21 AM - Jan Dolinar

Status: Approved Start date: 11/17/2013
Priority: Normal Due date:

Assignee: Jan Dolinar % Done: 0%
Category: Core Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Nightly launchpad builds for 6558 and 6570 failed to build on amdé4 with this message:

Compiling /build/buildd/upp-6570/uppsrc/Core/Debug.cpp

/build/buildd/upp-6570/uppsrc/Core/Debug.cpp: In function 'void Upp::HexDumpData(Upp::Stream&, const void*, int, bool, int)'":

/build/buildd/upp-6570/uppsrc/Core/Debug.cpp:171:66: error: a function-definition is not allowed here before '{' token
/build/buildd/upp-6570/uppsrc/Core/Debug.cpp:185:1: error: a function-definition is not allowed here before '{' token
/build/buildd/upp-6570/uppsrc/Core/Debug.cpp:190:1: error: a function-definition is not allowed here before '{' token
/build/buildd/upp-6570/uppsrc/Core/Debug.cpp:281:44: error: a function-definition is not allowed here before '{' token
/build/buildd/upp-6570/uppsrc/Core/Debug.cpp:282:45: error: a function-definition is not allowed here before '{' token
/build/buildd/upp-6570/uppsrc/Core/Debug.cpp: At global scope:
/build/buildd/upp-6570/uppsrc/Core/Debug.cpp:285:1: error: expected '}’ at end of input

Full log: https://launchpadlibrarian.net/156753241/buildlog_ubuntu-raring-amdé4.upp_6570-1~raring0_FAILEDTOBUILD.txt.gz

History

#1 -11/17/2013 07:28 PM - Miroslav Fidler
- Status changed from New to Ready for QA
- Assignee changed from Miroslav Fidler to Jan Dolinar

Ops, thanks.

#2 - 11/18/2013 06:57 AM - Jan Dolinar
- Status changed from Ready for QA to Approved
